#Import Modules
import os, pygame, random
from pygame.locals import *

from helper import *

class Item(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self)
        self.posx = x
        self.posy = y
        self.name = "Item"

    def update(self, worldx, worldy):
        self.rect.topleft = (int(self.posx)-worldx, int(self.posy)-worldy)

    def getItem(self):
        return self.name

class RedKey(Item):
    def __init__(self, x, y):
        Item.__init__(self,x,y)
        self.image, self.rect = load_image('redKey1.gif',-1)
        self.rect.topleft = x,y
        self.name = "RedKey"

class BlueKey(Item):
    def __init__(self, x, y):
        Item.__init__(self,x,y)
        self.image, self.rect = load_image('blueKey1.gif',-1)
        self.rect.topleft = x,y
        self.name = "BlueKey"

class Meat(Item):
    def __init__(self, x, y):
        Item.__init__(self,x,y)
        self.image, self.rect = load_image('meat1.gif',-1)
        self.rect.topleft = x,y
        self.name = "Meat"
